
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was TcEventLoggerAdsProxyConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})

if (${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Linux")
    include(CMakeFindDependencyMacro)
    find_dependency(uuid)
    find_dependency(TCATAdsAmsUm)
elseif(${CMAKE_HOST_SYSTEM_NAME} STREQUAL "FreeBSD")
    include(CMakeFindDependencyMacro)
    find_dependency(TCATAdsAms)
    find_dependency(TcPalDrvIf)
endif()

if (NOT TARGET TcEventLoggerAdsProxy)
    include("${CMAKE_CURRENT_LIST_DIR}/TcEventLoggerAdsProxyTargets.cmake")
    get_target_property(GET_TCEVENTLOGGERADSPROXY_INC_DIRS TcEventLoggerAdsProxy INTERFACE_INCLUDE_DIRECTORIES)
    set_target_properties(TcEventLoggerAdsProxy PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GET_TCEVENTLOGGERADSPROXY_INC_DIRS}")
    unset(GET_TCEVENTLOGGERADSPROXY_INC_DIRS)
endif()

check_required_components(TcEventLoggerAdsProxy)
